diff --git a/dirsrvtests/tests/tickets/ticket48109_test.py b/dirsrvtests/tests/tickets/ticket48109_test.py
index 5ef855d..6340e8e 100644
--- a/dirsrvtests/tests/tickets/ticket48109_test.py
+++ b/dirsrvtests/tests/tickets/ticket48109_test.py
@@ -31,12 +31,12 @@ def test_ticket48109(topology_st):
     # add substr setting to UID_INDEX
     try:
         topology_st.standalone.modify_s(UID_INDEX,
-                                        [(ldap.MOD_ADD, 'objectClass', 'extensibleObject'),
-                                         (ldap.MOD_ADD, 'nsIndexType', 'sub'),
-                                         (ldap.MOD_ADD, 'nsSubStrBegin', '2'),
-                                         (ldap.MOD_ADD, 'nsSubStrEnd', '2')])
+                                        [(ldap.MOD_ADD, 'objectClass', b'extensibleObject'),
+                                         (ldap.MOD_ADD, 'nsIndexType', b'sub'),
+                                         (ldap.MOD_ADD, 'nsSubStrBegin', b'2'),
+                                         (ldap.MOD_ADD, 'nsSubStrEnd', b'2')])
     except ldap.LDAPError as e:
-        log.error('Failed to add substr lengths: error ' + e.message['desc'])
+        log.error('Failed to add substr lengths: error {}'.format(e.args[0]['desc']))
         assert False
 
     # restart the server to apply the indexing
@@ -53,7 +53,7 @@ def test_ticket48109(topology_st):
             'givenname': 'a',
             'mail': UID})))
     except ldap.LDAPError as e:
-        log.error('Failed to add ' + USER_DN + ': error ' + e.message['desc'])
+        log.error('Failed to add ' + USER_DN + ': error {}'.format(e.args[0]['desc']))
         assert False
 
     entries = topology_st.standalone.search_s(SUFFIX, ldap.SCOPE_SUBTREE, '(uid=a*)')
@@ -100,12 +100,12 @@ def test_ticket48109(topology_st):
     # clean up substr setting to UID_INDEX
     try:
         topology_st.standalone.modify_s(UID_INDEX,
-                                        [(ldap.MOD_DELETE, 'objectClass', 'extensibleObject'),
-                                         (ldap.MOD_DELETE, 'nsIndexType', 'sub'),
-                                         (ldap.MOD_DELETE, 'nsSubStrBegin', '2'),
-                                         (ldap.MOD_DELETE, 'nsSubStrEnd', '2')])
+                                        [(ldap.MOD_DELETE, 'objectClass', b'extensibleObject'),
+                                         (ldap.MOD_DELETE, 'nsIndexType', b'sub'),
+                                         (ldap.MOD_DELETE, 'nsSubStrBegin', b'2'),
+                                         (ldap.MOD_DELETE, 'nsSubStrEnd', b'2')])
     except ldap.LDAPError as e:
-        log.error('Failed to delete substr lengths: error ' + e.message['desc'])
+        log.error('Failed to delete substr lengths: error {}'.format(e.args[0]['desc']))
         assert False
 
     '''
@@ -118,11 +118,11 @@ def test_ticket48109(topology_st):
     # add substr setting to UID_INDEX
     try:
         topology_st.standalone.modify_s(UID_INDEX,
-                                        [(ldap.MOD_ADD, 'nsIndexType', 'sub'),
-                                         (ldap.MOD_ADD, 'nsMatchingRule', 'nssubstrbegin=2'),
-                                         (ldap.MOD_ADD, 'nsMatchingRule', 'nssubstrend=2')])
+                                        [(ldap.MOD_ADD, 'nsIndexType', b'sub'),
+                                         (ldap.MOD_ADD, 'nsMatchingRule', b'nssubstrbegin=2'),
+                                         (ldap.MOD_ADD, 'nsMatchingRule', b'nssubstrend=2')])
     except ldap.LDAPError as e:
-        log.error('Failed to add substr lengths: error ' + e.message['desc'])
+        log.error('Failed to add substr lengths: error {}'.format(e.args[0]['desc']))
         assert False
 
     # restart the server to apply the indexing
@@ -139,7 +139,7 @@ def test_ticket48109(topology_st):
             'givenname': 'b',
             'mail': UID})))
     except ldap.LDAPError as e:
-        log.error('Failed to add ' + USER_DN + ': error ' + e.message['desc'])
+        log.error('Failed to add ' + USER_DN + ': error {}'.format(e.args[0]['desc']))
         assert False
 
     entries = topology_st.standalone.search_s(SUFFIX, ldap.SCOPE_SUBTREE, '(uid=b*)')
@@ -186,11 +186,11 @@ def test_ticket48109(topology_st):
     # clean up substr setting to UID_INDEX
     try:
         topology_st.standalone.modify_s(UID_INDEX,
-                                        [(ldap.MOD_DELETE, 'nsIndexType', 'sub'),
-                                         (ldap.MOD_DELETE, 'nsMatchingRule', 'nssubstrbegin=2'),
-                                         (ldap.MOD_DELETE, 'nsMatchingRule', 'nssubstrend=2')])
+                                        [(ldap.MOD_DELETE, 'nsIndexType', b'sub'),
+                                         (ldap.MOD_DELETE, 'nsMatchingRule', b'nssubstrbegin=2'),
+                                         (ldap.MOD_DELETE, 'nsMatchingRule', b'nssubstrend=2')])
     except ldap.LDAPError as e:
-        log.error('Failed to delete substr lengths: error ' + e.message['desc'])
+        log.error('Failed to delete substr lengths: error {}'.format(e.args[0]['desc']))
         assert False
 
     '''
@@ -208,14 +208,14 @@ def test_ticket48109(topology_st):
     # add substr setting to UID_INDEX
     try:
         topology_st.standalone.modify_s(UID_INDEX,
-                                        [(ldap.MOD_ADD, 'nsIndexType', 'sub'),
-                                         (ldap.MOD_ADD, 'nsMatchingRule', 'nssubstrbegin=3'),
-                                         (ldap.MOD_ADD, 'nsMatchingRule', 'nssubstrend=3'),
-                                         (ldap.MOD_ADD, 'objectClass', 'extensibleObject'),
-                                         (ldap.MOD_ADD, 'nsSubStrBegin', '2'),
-                                         (ldap.MOD_ADD, 'nsSubStrEnd', '2')])
+                                        [(ldap.MOD_ADD, 'nsIndexType', b'sub'),
+                                         (ldap.MOD_ADD, 'nsMatchingRule', b'nssubstrbegin=3'),
+                                         (ldap.MOD_ADD, 'nsMatchingRule', b'nssubstrend=3'),
+                                         (ldap.MOD_ADD, 'objectClass', b'extensibleObject'),
+                                         (ldap.MOD_ADD, 'nsSubStrBegin', b'2'),
+                                         (ldap.MOD_ADD, 'nsSubStrEnd', b'2')])
     except ldap.LDAPError as e:
-        log.error('Failed to add substr lengths: error ' + e.message['desc'])
+        log.error('Failed to add substr lengths: error {}'.format(e.args[0]['desc']))
         assert False
 
     # restart the server to apply the indexing
@@ -232,7 +232,7 @@ def test_ticket48109(topology_st):
             'givenname': 'c',
             'mail': UID})))
     except ldap.LDAPError as e:
-        log.error('Failed to add ' + USER_DN + ': error ' + e.message['desc'])
+        log.error('Failed to add ' + USER_DN + ': error {}'.format(e.args[0]['desc']))
         assert False
 
     entries = topology_st.standalone.search_s(SUFFIX, ldap.SCOPE_SUBTREE, '(uid=c*)')
@@ -317,14 +317,14 @@ def test_ticket48109(topology_st):
     # clean up substr setting to UID_INDEX
     try:
         topology_st.standalone.modify_s(UID_INDEX,
-                                        [(ldap.MOD_DELETE, 'nsIndexType', 'sub'),
-                                         (ldap.MOD_DELETE, 'nsMatchingRule', 'nssubstrbegin=3'),
-                                         (ldap.MOD_DELETE, 'nsMatchingRule', 'nssubstrend=3'),
-                                         (ldap.MOD_DELETE, 'objectClass', 'extensibleObject'),
-                                         (ldap.MOD_DELETE, 'nsSubStrBegin', '2'),
-                                         (ldap.MOD_DELETE, 'nsSubStrEnd', '2')])
+                                        [(ldap.MOD_DELETE, 'nsIndexType', b'sub'),
+                                         (ldap.MOD_DELETE, 'nsMatchingRule', b'nssubstrbegin=3'),
+                                         (ldap.MOD_DELETE, 'nsMatchingRule', b'nssubstrend=3'),
+                                         (ldap.MOD_DELETE, 'objectClass', b'extensibleObject'),
+                                         (ldap.MOD_DELETE, 'nsSubStrBegin', b'2'),
+                                         (ldap.MOD_DELETE, 'nsSubStrEnd', b'2')])
     except ldap.LDAPError as e:
-        log.error('Failed to delete substr lengths: error ' + e.message['desc'])
+        log.error('Failed to delete substr lengths: error {}'.format(e.args[0]['desc']))
         assert False
     log.info('Testcase PASSED')
 
diff --git a/dirsrvtests/tests/tickets/ticket48170_test.py b/dirsrvtests/tests/tickets/ticket48170_test.py
index adfbcb8..8547989 100644
--- a/dirsrvtests/tests/tickets/ticket48170_test.py
+++ b/dirsrvtests/tests/tickets/ticket48170_test.py
@@ -22,7 +22,7 @@ def test_ticket48170(topology_st):
     INDEX_DN = 'cn=cn,cn=index,cn=userroot,cn=ldbm database,cn=plugins,cn=config'
     REJECTED = False
     try:
-        topology_st.standalone.modify_s(INDEX_DN, [(ldap.MOD_ADD, 'nsINdexType', 'eq,pres')])
+        topology_st.standalone.modify_s(INDEX_DN, [(ldap.MOD_ADD, 'nsINdexType', b'eq,pres')])
     except ldap.UNWILLING_TO_PERFORM:
         log.info('Index update correctly rejected')
         REJECTED = True
diff --git a/dirsrvtests/tests/tickets/ticket48194_test.py b/dirsrvtests/tests/tickets/ticket48194_test.py
index 6879eec..b94b726 100644
--- a/dirsrvtests/tests/tickets/ticket48194_test.py
+++ b/dirsrvtests/tests/tickets/ticket48194_test.py
@@ -15,6 +15,7 @@ import pytest
 from lib389 import Entry
 from lib389._constants import *
 from lib389.topologies import topology_st
+from lib389.nss_ssl import NssSsl
 
 log = logging.getLogger(__name__)
 
@@ -26,7 +27,7 @@ pytestmark = pytest.mark.skipif(ds_is_older('1.3.4'), reason="Not implemented")
 ENCRYPTION_DN = 'cn=encryption,%s' % CONFIG_DN
 RSA = 'RSA'
 RSA_DN = 'cn=%s,%s' % (RSA, ENCRYPTION_DN)
-LDAPSPORT = str(DEFAULT_SECURE_PORT)
+LDAPSPORT = str(SECUREPORT_STANDALONE)
 SERVERCERT = 'Server-Cert'
 plus_all_ecount = 0
 plus_all_dcount = 0
@@ -47,21 +48,22 @@ def test_init(topology_st):
     """
     _header(topology_st, 'Testing Ticket 48194 - harden the list of ciphers available by default')
 
-    topology_st.standalone.nss_ssl.reinit()
-    topology_st.standalone.nss_ssl.create_rsa_ca()
-    topology_st.standalone.nss_ssl.create_rsa_key_and_cert()
+    nss_ssl = NssSsl(dbpath=topology_st.standalone.get_cert_dir())
+    nss_ssl.reinit()
+    nss_ssl.create_rsa_ca()
+    nss_ssl.create_rsa_key_and_cert()
 
     log.info("\n######################### enable SSL in the directory server with all ciphers ######################\n")
     topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
-    topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_REPLACE, 'nsSSL3', 'off'),
-                                                    (ldap.MOD_REPLACE, 'nsTLS1', 'on'),
-                                                    (ldap.MOD_REPLACE, 'nsSSLClientAuth', 'allowed'),
-                                                    (ldap.MOD_REPLACE, 'allowWeakCipher', 'on'),
-                                                    (ldap.MOD_REPLACE, 'nsSSL3Ciphers', '+all')])
+    topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_REPLACE, 'nsSSL3', b'off'),
+                                                    (ldap.MOD_REPLACE, 'nsTLS1', b'on'),
+                                                    (ldap.MOD_REPLACE, 'nsSSLClientAuth', b'allowed'),
+                                                    (ldap.MOD_REPLACE, 'allowWeakCipher', b'on'),
+                                                    (ldap.MOD_REPLACE, 'nsSSL3Ciphers', b'+all')])
 
-    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'nsslapd-security', 'on'),
-                                                (ldap.MOD_REPLACE, 'nsslapd-ssl-check-hostname', 'off'),
-                                                (ldap.MOD_REPLACE, 'nsslapd-secureport', LDAPSPORT)])
+    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'nsslapd-security', b'on'),
+                                                (ldap.MOD_REPLACE, 'nsslapd-ssl-check-hostname', b'off'),
+                                                (ldap.MOD_REPLACE, 'nsslapd-secureport', ensure_bytes(LDAPSPORT))])
 
     topology_st.standalone.add_s(Entry((RSA_DN, {'objectclass': "top nsEncryptionModule".split(),
                                                  'cn': RSA,
@@ -95,18 +97,18 @@ def connectWithOpenssl(topology_st, cipher, expect):
 
     while True:
         l = proc.stdout.readline()
-        if l == "":
+        if l == b"":
             break
-        if 'Cipher is' in l:
+        if b'Cipher is' in l:
             log.info("Found: %s", l)
             if expect:
-                if '(NONE)' in l:
+                if b'(NONE)' in l:
                     assert False
                 else:
                     proc.stdin.close()
                     assert True
             else:
-                if '(NONE)' in l:
+                if b'(NONE)' in l:
                     assert True
                 else:
                     proc.stdin.close()
@@ -122,7 +124,7 @@ def test_run_0(topology_st):
     _header(topology_st, 'Test Case 1 - Check the ciphers availability for "+all"; allowWeakCipher: on')
 
     topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
-    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'nsslapd-errorlog-level', '64')])
+    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'nsslapd-errorlog-level', b'64')])
 
     log.info("\n######################### Restarting the server ######################\n")
     topology_st.standalone.restart(timeout=120)
@@ -140,7 +142,7 @@ def test_run_1(topology_st):
     _header(topology_st, 'Test Case 2 - Check the ciphers availability for "+all" with default allowWeakCiphers')
 
     topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
-    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'nsslapd-errorlog-level', '64')])
+    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'nsslapd-errorlog-level', b'64')])
     # Make sure allowWeakCipher is not set.
     topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_DELETE, 'allowWeakCipher', None)])
 
@@ -166,7 +168,7 @@ def test_run_2(topology_st):
 
     topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     topology_st.standalone.modify_s(ENCRYPTION_DN,
-                                    [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', '+rsa_aes_128_sha,+rsa_aes_256_sha')])
+                                    [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', b'+rsa_aes_128_sha,+rsa_aes_256_sha')])
 
     log.info("\n######################### Restarting the server ######################\n")
     topology_st.standalone.stop(timeout=10)
@@ -190,7 +192,7 @@ def test_run_3(topology_st):
     _header(topology_st, 'Test Case 4 - Check the ciphers availability for "-all"')
 
     topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
-    topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', '-all')])
+    topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', b'-all')])
 
     log.info("\n######################### Restarting the server ######################\n")
     topology_st.standalone.stop(timeout=10)
@@ -212,7 +214,7 @@ def test_run_4(topology_st):
     _header(topology_st, 'Test Case 5 - Check no nsSSL3Ciphers (-all) with default allowWeakCipher')
 
     topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
-    topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_DELETE, 'nsSSL3Ciphers', '-all')])
+    topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_DELETE, 'nsSSL3Ciphers', b'-all')])
 
     log.info("\n######################### Restarting the server ######################\n")
     topology_st.standalone.stop(timeout=10)
@@ -234,7 +236,7 @@ def test_run_5(topology_st):
     _header(topology_st, 'Test Case 6 - Check default nsSSL3Ciphers (default setting) with default allowWeakCipher')
 
     topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
-    topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', 'default')])
+    topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', b'default')])
 
     log.info("\n######################### Restarting the server ######################\n")
     topology_st.standalone.stop(timeout=10)
@@ -258,7 +260,7 @@ def test_run_6(topology_st):
 
     topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     topology_st.standalone.modify_s(ENCRYPTION_DN,
-                                    [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', '+all,-TLS_RSA_WITH_AES_256_CBC_SHA256')])
+                                    [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', b'+all,-TLS_RSA_WITH_AES_256_CBC_SHA256')])
 
     log.info("\n######################### Restarting the server ######################\n")
     topology_st.standalone.stop(timeout=10)
@@ -280,8 +282,8 @@ def test_run_8(topology_st):
     _header(topology_st, 'Test Case 9 - Check default nsSSL3Ciphers (default setting + allowWeakCipher: off)')
 
     topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
-    topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', 'default'),
-                                                    (ldap.MOD_REPLACE, 'allowWeakCipher', 'off')])
+    topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', b'default'),
+                                                    (ldap.MOD_REPLACE, 'allowWeakCipher', b'off')])
 
     log.info("\n######################### Restarting the server ######################\n")
     topology_st.standalone.stop(timeout=10)
@@ -306,7 +308,7 @@ def test_run_9(topology_st):
 
     topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', None),
-                                                    (ldap.MOD_REPLACE, 'allowWeakCipher', 'on')])
+                                                    (ldap.MOD_REPLACE, 'allowWeakCipher', b'on')])
     topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'nsslapd-errorlog-level', None)])
 
     log.info("\n######################### Restarting the server ######################\n")
@@ -328,7 +330,7 @@ def test_run_11(topology_st):
     _header(topology_st, 'Test Case 12 - Check nsSSL3Ciphers: +fortezza, which is not supported')
 
     topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
-    topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', '+fortezza')])
+    topology_st.standalone.modify_s(ENCRYPTION_DN, [(ldap.MOD_REPLACE, 'nsSSL3Ciphers', b'+fortezza')])
 
     log.info("\n######################### Restarting the server ######################\n")
     topology_st.standalone.stop(timeout=10)
diff --git a/dirsrvtests/tests/tickets/ticket48212_test.py b/dirsrvtests/tests/tickets/ticket48212_test.py
index 2483953..2fb1007 100644
--- a/dirsrvtests/tests/tickets/ticket48212_test.py
+++ b/dirsrvtests/tests/tickets/ticket48212_test.py
@@ -15,7 +15,7 @@ UIDNUMBERDN = "cn=uidnumber,cn=index,cn=userroot,cn=ldbm database,cn=plugins,cn=
 
 def runDbVerify(topology_st):
     topology_st.standalone.log.info("\n\n	+++++ dbverify +++++\n")
-    sbin_dir = get_sbin_dir(prefix=topology_st.standalone.prefix)
+    sbin_dir = get_sbin_dir()
     dbverifyCMD = sbin_dir + "/dbverify -Z " + topology_st.standalone.serverid + " -V"
     dbverifyOUT = os.popen(dbverifyCMD, "r")
     topology_st.standalone.log.info("Running %s" % dbverifyCMD)
@@ -69,7 +69,7 @@ def test_ticket48212(topology_st):
     topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
 
     data_dir_path = topology_st.standalone.getDir(__file__, DATA_DIR)
-    ldif_file = data_dir_path + "ticket48212/" + _MYLDIF
+    ldif_file = f"{data_dir_path}ticket48212/{_MYLDIF}"
     try:
         ldif_dir = topology_st.standalone.get_ldif_dir()
         shutil.copy(ldif_file, ldif_dir)
@@ -103,7 +103,7 @@ def test_ticket48212(topology_st):
 
     topology_st.standalone.log.info("\n\n######################### Add nsMatchingRule ######################\n")
     try:
-        topology_st.standalone.modify_s(UIDNUMBERDN, [(ldap.MOD_ADD, 'nsMatchingRule', 'integerOrderingMatch')])
+        topology_st.standalone.modify_s(UIDNUMBERDN, [(ldap.MOD_ADD, 'nsMatchingRule', b'integerOrderingMatch')])
     except ValueError:
         topology_st.standalone.log.fatal("modify_s failed: %s", ValueError)
 
@@ -114,7 +114,7 @@ def test_ticket48212(topology_st):
 
     topology_st.standalone.log.info("\n\n######################### Delete nsMatchingRule ######################\n")
     try:
-        topology_st.standalone.modify_s(UIDNUMBERDN, [(ldap.MOD_DELETE, 'nsMatchingRule', 'integerOrderingMatch')])
+        topology_st.standalone.modify_s(UIDNUMBERDN, [(ldap.MOD_DELETE, 'nsMatchingRule', b'integerOrderingMatch')])
     except ValueError:
         topology_st.standalone.log.fatal("modify_s failed: %s", ValueError)
 
diff --git a/dirsrvtests/tests/tickets/ticket48214_test.py b/dirsrvtests/tests/tickets/ticket48214_test.py
index 9b95862..2f380fd 100644
--- a/dirsrvtests/tests/tickets/ticket48214_test.py
+++ b/dirsrvtests/tests/tickets/ticket48214_test.py
@@ -85,12 +85,12 @@ def test_ticket48214_run(topology_st):
     checkMaxBerSize(topology_st)
 
     topology_st.standalone.log.info("\n\n######################### Add nsslapd-maxbersize: 0 ######################\n")
-    topology_st.standalone.modify_s('cn=config', [(ldap.MOD_REPLACE, 'nsslapd-maxbersize', '0')])
+    topology_st.standalone.modify_s('cn=config', [(ldap.MOD_REPLACE, 'nsslapd-maxbersize', b'0')])
     checkMaxBerSize(topology_st)
 
     topology_st.standalone.log.info(
         "\n\n######################### Add nsslapd-maxbersize: 10000 ######################\n")
-    topology_st.standalone.modify_s('cn=config', [(ldap.MOD_REPLACE, 'nsslapd-maxbersize', '10000')])
+    topology_st.standalone.modify_s('cn=config', [(ldap.MOD_REPLACE, 'nsslapd-maxbersize', b'10000')])
     checkMaxBerSize(topology_st)
 
     topology_st.standalone.log.info("ticket48214 was successfully verified.")
diff --git a/dirsrvtests/tests/tickets/ticket48233_test.py b/dirsrvtests/tests/tickets/ticket48233_test.py
index 4abeddd..3c29633 100644
--- a/dirsrvtests/tests/tickets/ticket48233_test.py
+++ b/dirsrvtests/tests/tickets/ticket48233_test.py
@@ -19,9 +19,9 @@ def test_ticket48233(topology_st):
                 '(userdn = "ldap:///anyone") and (ip="127.0.0.1");)')
 
     try:
-        topology_st.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_ADD, 'aci', aci_text)])
+        topology_st.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_ADD, 'aci', ensure_bytes(aci_text))])
     except ldap.LDAPError as e:
-        log.error('Failed to add aci: (%s) error %s' % (aci_text, e.message['desc']))
+        log.error('Failed to add aci: ({}) error {}'.format(aci_text,e.args[0]['desc']))
         assert False
     time.sleep(1)
 
@@ -29,7 +29,7 @@ def test_ticket48233(topology_st):
     try:
         topology_st.standalone.simple_bind_s("", "")
     except ldap.LDAPError as e:
-        log.error('Failed to anonymously bind -error %s' % (e.message['desc']))
+        log.error('Failed to anonymously bind -error {}'.format(e.args[0]['desc']))
         assert False
 
     try:
diff --git a/dirsrvtests/tests/tickets/ticket48370_test.py b/dirsrvtests/tests/tickets/ticket48370_test.py
index b8ae106..df55a17 100644
--- a/dirsrvtests/tests/tickets/ticket48370_test.py
+++ b/dirsrvtests/tests/tickets/ticket48370_test.py
@@ -43,12 +43,12 @@ def test_ticket48370(topology_st):
     try:
         topology_st.standalone.modify_s(DN, [(ldap.MOD_DELETE,
                                               'mail',
-                                              'user0099@dev.null'),
+                                              b'user0099@dev.null'),
                                              (ldap.MOD_DELETE,
                                               'mail',
-                                              'alias@dev.null'),
+                                              b'alias@dev.null'),
                                              (ldap.MOD_ADD,
-                                              'mail', 'user0099@dev.null')])
+                                              'mail', b'user0099@dev.null')])
     except ldap.LDAPError as e:
         log.fatal('Failedto modify user: ' + str(e))
         assert False
@@ -87,10 +87,10 @@ def test_ticket48370(topology_st):
     try:
         topology_st.standalone.modify_s(DN, [(ldap.MOD_DELETE,
                                               'mail',
-                                              'user0099@dev.null'),
+                                              b'user0099@dev.null'),
                                              (ldap.MOD_DELETE,
                                               'mail',
-                                              'user0099@redhat.com')
+                                              b'user0099@redhat.com')
                                              ])
     except ldap.LDAPError as e:
         log.fatal('Failed to modify user: ' + str(e))
@@ -132,8 +132,8 @@ def test_ticket48370(topology_st):
     try:
         topology_st.standalone.modify_s(DN, [(ldap.MOD_ADD,
                                               'mail',
-                                              ['user0099@dev.null',
-                                               'alias@dev.null'])])
+                                              [b'user0099@dev.null',
+                                               b'alias@dev.null'])])
     except ldap.LDAPError as e:
         log.fatal('Failedto modify user: ' + str(e))
         assert False
@@ -144,12 +144,12 @@ def test_ticket48370(topology_st):
     try:
         topology_st.standalone.modify_s(DN, [(ldap.MOD_DELETE,
                                               'mail',
-                                              'alias@dev.null'),
+                                              b'alias@dev.null'),
                                              (ldap.MOD_DELETE,
                                               'mail',
-                                              'user0099@dev.null'),
+                                              b'user0099@dev.null'),
                                              (ldap.MOD_ADD,
-                                              'mail', 'user0099@dev.null')])
+                                              'mail', b'user0099@dev.null')])
     except ldap.LDAPError as e:
         log.fatal('Failedto modify user: ' + str(e))
         assert False
diff --git a/dirsrvtests/tests/tickets/ticket48383_test.py b/dirsrvtests/tests/tickets/ticket48383_test.py
index a6dfbed..f681b83 100644
--- a/dirsrvtests/tests/tickets/ticket48383_test.py
+++ b/dirsrvtests/tests/tickets/ticket48383_test.py
@@ -30,7 +30,7 @@ def test_ticket48383(topology_st):
     # Create some stupid huge objects / attributes in DS.
     # seeAlso is indexed by default. Lets do that!
     # This will take a while ...
-    data = [random.choice(string.letters) for x in xrange(10000000)]
+    data = [random.choice(string.ascii_letters) for x in range(10000000)]
     s = "".join(data)
 
     # This was here for an iteration test.
@@ -50,18 +50,14 @@ def test_ticket48383(topology_st):
         'padding': padding,
     }))
 
-    try:
-        topology_st.standalone.add_s(user)
-    except ldap.LDAPError as e:
-        log.fatal('test 48383: Failed to user%s: error %s ' % (i, e.message['desc']))
-        assert False
+    topology_st.standalone.add_s(user)
 
     # Set the dbsize really low.
     try:
         topology_st.standalone.modify_s(DEFAULT_BENAME, [(ldap.MOD_REPLACE,
-                                                          'nsslapd-cachememsize', '1')])
+                                                          'nsslapd-cachememsize', b'1')])
     except ldap.LDAPError as e:
-        log.fatal('Failed to change nsslapd-cachememsize ' + e.message['desc'])
+        log.fatal('Failed to change nsslapd-cachememsize {}'.format(e.args[0]['desc']))
 
     ## Does ds try and set a minimum possible value for this?
     ## Yes: [16/Feb/2016:16:39:18 +1000] - WARNING: cache too small, increasing to 500K bytes

